# Add a new MAK

Use this GET endpoint to submit a request to add an unlisted address for review and the generation of an associated Melissa Address Key (MAK). This is part of our contribution pipeline to include user input and improve data accuracy.

To ensure your request can be processed, include the complete address details (e.g. address line 1, locality (city), administrative area (state), postal code (zip), country, and an explanation in the comments field (e.g., “New residential subdivision” or “Commercial building recently completed”). Submissions without adequate justification may be discarded.

Upon a successful request you will get an MS01 result code and a successful submission message.

All user contributions enter a queue and are evaluated by our team on a case-by-case basis.

Submitting a correction does not guarantee that it will be approved or integrated into the active dataset.

Endpoint: GET /addMAK

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json"

## Query parameters:

  - `t` (string)
    Value passed through unchanged to the response for identification or any other purpose.
    Example: "Test"

  - `id` (any, required)
    Required. The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

  - `a1` (string, required)
    A minimum address location for the contact.
    Example: "22382 Avenida Empresa"

  - `a2` (string)
    The second address line.

  - `a3` (string)
    The third address line.

  - `a4` (string)
    The fourth address line.

  - `a5` (string)
    The fifth address line.

  - `a6` (string)
    The sixth address line.

  - `a7` (string)
    The seventh address line.

  - `a8` (string)
    The eighth address line.

  - `admarea` (string, required)
    Administrative Area, Province, State. The most common geographic data element.
    Example: "CA"

  - `ctry` (string, required)
    ISO2 code for the country.
    Example: "US"

  - `lat` (number, required)
    The latitude.
    Example: 33.637562

  - `loc` (string, required)
    City, Locality, Municipality. The most common population center data element.
    Example: "Rancho Santa Margarita"

  - `long` (number, required)
    The longitude.
    Example: -117.606887

  - `org` (string)
    The organization name associated with the address record.

  - `postal` (string, required)
    The ZIP Code.
    Example: "92688"

  - `reason` (string)
    Any additional information you want to add about the change request.
    Example: "Add a MAK"

  - `respondto` (string)
    The email address to receive updates about the change request.
    Example: "youremail@melissadata.com"

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Contribution Result Codes](https://docs.melissa.com/cloud-api/contribution/result-codes.html).

  - `TransmissionReference` (string)
    Serves as a unique request identifier.

  - `Results` (string)
    Comma delimited status, error codes, and change codes for the record. For more information, see [Contribution Result Codes](https://docs.melissa.com/cloud-api/contribution/result-codes.html).

  - `Message` (string)
    The response message for the request.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


